--- old/usr/src/uts/common/fs/ufs/ufs_vnops.c	2014-07-28 07:44:21.798267087 -0400
+++ new/usr/src/uts/common/fs/ufs/ufs_vnops.c	2014-07-28 07:44:21.804464769 -0400
@@ -5976,11 +5976,11 @@
 			}
 			return (vmpss ? EIO : EINVAL);
 		}
-		atomic_add_long(&ulp->ul_vnops_cnt, 1);
+		atomic_inc_ulong(&ulp->ul_vnops_cnt);
 		if (pp == NULL)
 			mutex_exit(&ulp->ul_lock);
 		if (ufs_quiesce_pend) {
-			if (!atomic_add_long_nv(&ulp->ul_vnops_cnt, -1))
+			if (!atomic_dec_ulong_nv(&ulp->ul_vnops_cnt))
 				cv_broadcast(&ulp->ul_cv);
 			return (vmpss ? EIO : EINVAL);
 		}
@@ -5999,7 +5999,7 @@
 		if (!vmpss) {
 			rw_enter(&ip->i_contents, RW_READER);
 		} else if (!rw_tryenter(&ip->i_contents, RW_READER)) {
-			if (!atomic_add_long_nv(&ulp->ul_vnops_cnt, -1))
+			if (!atomic_dec_ulong_nv(&ulp->ul_vnops_cnt))
 				cv_broadcast(&ulp->ul_cv);
 			return (EDEADLK);
 		}
@@ -6012,7 +6012,7 @@
 	if (vmpss && btopr(io_off + io_len) > btopr(ip->i_size)) {
 		if (dolock)
 			rw_exit(&ip->i_contents);
-		if (!atomic_add_long_nv(&ulp->ul_vnops_cnt, -1))
+		if (!atomic_dec_ulong_nv(&ulp->ul_vnops_cnt))
 			cv_broadcast(&ulp->ul_cv);
 		return (EFAULT);
 	}
@@ -6025,7 +6025,7 @@
 		}
 		if (dolock)
 			rw_exit(&ip->i_contents);
-		if (!atomic_add_long_nv(&ulp->ul_vnops_cnt, -1))
+		if (!atomic_dec_ulong_nv(&ulp->ul_vnops_cnt))
 			cv_broadcast(&ulp->ul_cv);
 		return (err);
 	}
@@ -6132,7 +6132,7 @@
 
 	if (dolock)
 		rw_exit(&ip->i_contents);
-	if (vmpss && !atomic_add_long_nv(&ulp->ul_vnops_cnt, -1))
+	if (vmpss && !atomic_dec_ulong_nv(&ulp->ul_vnops_cnt))
 		cv_broadcast(&ulp->ul_cv);
 	return (err);
 }
